| Home | Libraries | People | FAQ | More

#### ip::udp::resolver_query

The type of a resolver query.

    typedef basic_resolver_query< udp > resolver_query;

###### Types

Name | Description
--- | ---
protocol_type | The protocol type associated with the endpoint query.

###### Member Functions

Name | Description
--- | ---
basic_resolver_query | Construct with specified service name for any protocol. Construct with specified service name for a given protocol. Construct with specified host name and service name for any protocol. Construct with specified host name and service name for a given protocol.
hints | Get the hints associated with the query.
host_name | Get the host name associated with the query.
service_name | Get the service name associated with the query.

###### Data Members

Name | Description
--- | ---
address_configured | Only return IPv4 addresses if a non-loopback IPv4 address is configured for the system. Only return IPv6 addresses if a non-loopback IPv6 address is configured for the system.
all_matching | If used with v4_mapped, return all matching IPv6 and IPv4 addresses.
canonical_name | Determine the canonical name of the host specified in the query.
numeric_host | Host name should be treated as a numeric string defining an IPv4 or IPv6 address and no name resolution should be attempted.
numeric_service | Service name should be treated as a numeric string defining a port number and no name resolution should be attempted.
passive | Indicate that returned endpoint is intended for use as a locally bound socket endpoint.
v4_mapped | If the query protocol family is specified as IPv6, return IPv4-mapped IPv6 addresses on finding no IPv6 addresses.

The ip::basic_resolver_query class template describes a query that can be passed to a resolver.

###### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.